Subject: Re: bug#66216: 28.2; scroll-up-line doesn't work if there is a before-string overlay with newline

From: Herman, Géza <[email-masked]>
Date: Sat, 30 Sep 2023 19:29:51 +0200

On 9/30/23 19:17, Eli Zaretskii wrote:
>
> Populating a scratch buffer with generated text, for example.
Then line numbers will be incorrect, and also the buffer won't be 
editable. And maybe there are other drawbacks of this approach. OK, I 
admit that editable blame buffers is not a very important feature, but I 
think that it's a good thing that line numbers are correct. And looking 
at this from the application developer's viewpoint: just because Emacs 
has limitation around overlays, they shouldn't choose a worse solution. 
Especially if one doesn't know about the limitation beforehand, but it 
emerges after 90% of the application is finished.